edu.sc.seis.sod.subsetter.origin

## Class OriginArrayOR

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter
    - - edu.sc.seis.sod.subsetter.origin.OriginArrayOR

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public class OriginArrayOR
      extends EventLogicalSubsetter
      implements OriginSubsetter

  Contains a single OriginSubsetter. OriginArrayOR returns true when the contained originSubsetter is true for any one of the origins.

        <originArrayOR>
              <originNOT>
                     <magnitudeRange>
                     <magType>mb</magType>
                     <min>7</min>
                     <max>10</max>
                     </magnitudeRange>
              </originNOT>
        </originArrayOR>

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginArrayOR(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl e)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.origin.EventLogicalSubsetter

      `createSubsetter, getPackages, getSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginArrayOR

          public OriginArrayOR(org.w3c.dom.Element config)
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl e)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `OriginSubsetter`
      Throws:
        `java.lang.Exception`